ATOF(3)

NOM
atof - Conversion d'une chaîne en réel (double)

SYNOPSIS
#include <stdlib.h>

double atof (const char *nptr);

DESCRIPTION
La fonction atof() convertit le début de la chaîne pointée par nptr en un réel de type double. Le résultat est identique à un appel

    strtod(nptr, (char **) NULL);

à la différence que atof() ne détecte pas d'erreur.

VALEUR RENVOYÉE
Le résultat de la conversion.

CONFORMITÉ
SVr4, POSIX.1-2001, BSD 4.3, C89, C99.

VOIR AUSSI
atoi(3), atol(3), strtod(3), strtol(3), strtoul(3)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 22 octobre 1996 et révisée le 10 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 atof ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.